Bug 1222730 - Java client missing useCache and purgeCache option
Java client missing useCache and purgeCache option
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-zanata-client (Show other bugs)
client-3.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: client-3.7
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-18 21:40 EDT by Patrick Huang
Modified: 2015-07-29 21:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 21:57:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2015-05-18 21:40:59 EDT
Description of problem:
There is no way to set these two options in java client

Version-Release number of selected component (if applicable):
3.7.0-

How reproducible:
Always

Steps to Reproduce:
1. run zanata-cli help pull

Actual results:
There are no option presented as useCache or purgeCache

Expected results:
There should have options use-cache and purge-cache

Additional info:
Maven client has these two options.
Comment 1 Patrick Huang 2015-05-20 00:22:27 EDT
https://github.com/zanata/zanata-client/pull/64
Comment 2 Ding-Yi Chen 2015-05-25 20:26:32 EDT
VERIFIED with 3.7.0-SNAPSHOT

https://github.com/zanata/zanata-client/commit/946c6712bbb3d22c5877e4dd6c66dd54cd75e59d

Note You need to log in before you can comment on or make changes to this bug.